hal_clock.h File Reference

This file contains all the functions prototypes for the HAL module driver. More...

`#include "hal_def.h"`
`#include <stdio.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Enumerations
enum | xo_request_device_number_t { XO_REQUEST_DEVICE_NUM_BLE = 0, XO_REQUEST_DEVICE_NUM_CALIBRATION, XO_REQUEST_DEVICE_NUM_DDVS, XO_REQUEST_DEVICE_NUM_USER, XO_REQUEST_DEVICE_NUM_DCDC, MAX_XO_REQUEST_DEVICE_NUM }
| XO-Requested Devices ID definition. More...
void(* | p_hal_clock_request_xo_osc )(xo_request_device_number_t dev_num)
void(* | p_hal_clock_release_xo_osc )(xo_request_device_number_t dev_num)
void(* | p_hal_clock_release_xo_osc_all )(void)
uint32_t | hal_clock_get_xo_requests (void)
| xo clock request and release API More...
uint32_t | hal_clock_get_device_xo_request_status (xo_request_device_number_t dev_num)
| check the specified device whether request xo clock or not More...
void | hal_clock_request_xo_osc (xo_request_device_number_t dev_num)
| the specified device request xo clock resource More...
void | hal_clock_release_xo_osc (xo_request_device_number_t dev_num)
| the specified device release xo clock resource More...
void | hal_clock_release_xo_osc_all (void)
| release xo clock resource for all devices. More...
void | hal_clock_request_xo_osc_ori (xo_request_device_number_t dev_num)
void | hal_clock_release_xo_osc_ori (xo_request_device_number_t dev_num)
void | hal_clock_release_xo_osc_all_ori (void)

## Detailed Description

This file contains all the functions prototypes for the HAL module driver.

Author
  BLE Driver Team

Attention
  #####Copyright (c) 2019 GOODIX All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file hal_clock.h.

## Enumeration Type Documentation

## ◆ xo_request_device_number_t

enum xo_request_device_number_t

XO-Requested Devices ID definition.

Enumerator
XO_REQUEST_DEVICE_NUM_BLE |
XO_REQUEST_DEVICE_NUM_CALIBRATION |
XO_REQUEST_DEVICE_NUM_DDVS |
XO_REQUEST_DEVICE_NUM_USER |
XO_REQUEST_DEVICE_NUM_DCDC |
MAX_XO_REQUEST_DEVICE_NUM |

Definition at line 53 of file hal_clock.h.

## Function Documentation

## ◆ hal_clock_get_device_xo_request_status()

uint32_t hal_clock_get_device_xo_request_status | ( | xo_request_device_number_t | dev_num | ) |

check the specified device whether request xo clock or not

Parameters

  dev_num | specified device number

Returns
  value 1 means requests xo, and value 0 means no need xo.

## ◆ hal_clock_get_xo_requests()

uint32_t hal_clock_get_xo_requests | ( | void |  | ) |

xo clock request and release API

get which devices requested xo clock

Returns
  xo_clock_requests, each bit corresponds to xo_request_device_number_t; value 1 means requests xo, and value 0 means no need xo.

## ◆ hal_clock_release_xo_osc()

void hal_clock_release_xo_osc | ( | xo_request_device_number_t | dev_num | ) |

the specified device release xo clock resource

Parameters

  dev_num | specified device number

Returns
  void

## ◆ hal_clock_release_xo_osc_all()

void hal_clock_release_xo_osc_all | ( | void |  | ) |

release xo clock resource for all devices.

Returns
  void

## ◆ hal_clock_release_xo_osc_all_ori()

void hal_clock_release_xo_osc_all_ori | ( | void |  | ) |

## ◆ hal_clock_release_xo_osc_ori()

void hal_clock_release_xo_osc_ori | ( | xo_request_device_number_t | dev_num | ) |

## ◆ hal_clock_request_xo_osc()

void hal_clock_request_xo_osc | ( | xo_request_device_number_t | dev_num | ) |

the specified device request xo clock resource

Parameters

  dev_num | specified device number

Returns
  void

## ◆ hal_clock_request_xo_osc_ori()

void hal_clock_request_xo_osc_ori | ( | xo_request_device_number_t | dev_num | ) |

## Variable Documentation

## ◆ p_hal_clock_release_xo_osc

void(* p_hal_clock_release_xo_osc) (xo_request_device_number_t dev_num)
| extern

## ◆ p_hal_clock_release_xo_osc_all

void(* p_hal_clock_release_xo_osc_all) (void)
| extern

## ◆ p_hal_clock_request_xo_osc

void(* p_hal_clock_request_xo_osc) (xo_request_device_number_t dev_num)
| extern